This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 673790 - Review Request: mingw-headers - MinGW Windows cross-compiler header files
Review Request: mingw-headers - MinGW Windows cross-compiler header files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On: 673784
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-30 11:03 EST by Erik van Pienbroek
Modified: 2014-12-23 15:04 EST (History)
7 users (show)

See Also:
Fixed In Version: mingw-antlr-2.7.7-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-01 20:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2011-01-30 11:03:02 EST
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-headers/mingw-headers.spec
SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-headers-1.0-0.7.20101003.fc15_cross.src.rpm
Description:
MinGW Windows cross-compiler Win32 and Win64 header files.

This is a rename request as it will replace the original mingw32-w32api
package. For more details and a link to a testing repository, see
https://fedoraproject.org/wiki/Features/CrossCompilerFramework and
https://fedoraproject.org/wiki/PackagingDrafts/CrossCompilerFramework
Comment 1 Erik van Pienbroek 2011-01-30 11:07:09 EST
Made this review block FE-Legal so they can indicate whether this package can be added to Fedora
Comment 2 Erik van Pienbroek 2011-04-23 08:44:43 EDT
The new packaging guidelines have been approved in the FPC meeting of April 13:
http://meetbot.fedoraproject.org/fedora-meeting/2011-04-13/fpc.2011-04-13-15.59.html

In order to comply with these guidelines, some changes have been applied in this package, so here's a new package which implements everything
mentioned in the packaging guidelines.

Spec URL:
http://svn.openftd.org/svn/fedora_cross/mingw-headers/mingw-headers.spec
SRPM URL:
http://ftd4linux.nl/contrib/mingw-headers-1.0-0.8.20110413.trunk.fc15.src.rpm

* Thu Apr 14 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0-0.8.20110413.trunk
- Update to 20110413 snapshot of the trunk branch
- Made the package compliant with the new packaging guidelines
- Enable the secure API (required for wine-gecko)
Comment 3 Erik van Pienbroek 2011-05-31 17:15:11 EDT
@FE-Legal: Did you already had a chance to look at this package? We need to have legal approval for this package (and the mingw-runtime package, bug 673792) before we can introduce the mingw-w64 toolchain in Fedora and we wish to get everything ready in time for the Fedora 16 feature freeze (which will be in about 2 months from now). The legal approval is the main blocking issue for us at the moment
Comment 4 Tom "spot" Callaway 2011-06-30 13:31:33 EDT
Erik, can you explain the legal concerns here?
Comment 5 Erik van Pienbroek 2011-07-01 10:10:00 EDT
Hi Tom,

We've made this package block FE-LEGAL because we're not entirely sure if the contents of this package (and the mingw-crt package, bug 673792) are okay to add to Fedora. In earlier discussions on the fedora-mingw mailing list there have been some signals about a legal audit which should be done:
http://lists.fedoraproject.org/pipermail/mingw/2010-March/002557.html
http://lists.fedoraproject.org/pipermail/mingw/2010-May/002589.html
http://lists.fedoraproject.org/pipermail/mingw/2011-January/003347.html

As we're uncertain if Red Hat/Fedora approves the use of these libraries and headers we decided to have RH-Legal/Fedora legal take a look at it before continuing with the introduction of mingw-w64 in Fedora.

Kai Tietz, one of the mingw-w64 developers has been hired by Red Hat recently and he started to get the legal issues cleared in Red Hat internally. I don't know what the progress of that is, but perhaps you could get in touch with each other for further discussion?
Comment 6 Erik van Pienbroek 2011-08-28 11:44:46 EDT
spot, do you happen to know if RH Legal is currently investigating the approval for inclusion of the mingw-w64 toolchain in Fedora and what the current state of it is? We're already waiting several months for legal clearance, but we don't see any progress here.
Comment 7 Tom "spot" Callaway 2011-08-29 16:11:15 EDT
I asked today, but there is no update on this issue.
Comment 8 Richard Fontana 2012-02-22 00:10:14 EST
Lifting FE-Legal.
Comment 9 Erik van Pienbroek 2012-02-22 01:47:53 EST
Thank you for looking at the legal implications of the use of mingw-w64 in Fedora!

Here's the latest spec/srpm for review:
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-headers/mingw-headers.spec
SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-headers-2.0.999-0.1.trunk.20120120.fc17_cross.src.rpm
Comment 10 Kalev Lember 2012-02-22 08:06:56 EST
Taking for review.


> %global mingw_pkg_name headers

This doesn't appear to be used anywhere in the spec file, is it actually needed?


> Summary: Win32/Win64 header files and stubs

The old summary read "MinGW Windows cross-compiler Win32 header files" and most of the MinGW cross-compiled library packages so far have used the "MinGW Windows ..." prefix for summary. I think it would be useful to keep using a distinct summary for all of the MinGW cross compiled packages, although I'm not insisting on keeping "MinGW Windows ...", could be something else as well.

"MinGW Windows ..."
"MinGW cross-compiled ..."
"Windows cross-compiled ..."

Opinions on which one of them would be best? Now that we're going to rebuild all the MinGW packages with the new toolchain, it might be a good time to make sure the summaries are all uniform.

The reason I like uniformity is that it gives nice visual clues when searching for packages in a package manager. It's easier for humans to parse output if it's all aligned up nicely with similar prefix.


> %if 0%{?snapshot_date}
> Source0:        http://sourceforge.net/projects/mingw-w64/files/Toolchain%20sources/Automated%20Builds/mingw-w64-src_%{snapshot_date}.tar.bz2
> %else
> Source0:        http://downloads.sourceforge.net/project/mingw-w64/mingw-w64/mingw-w64-release/mingw-w64-v%{version}.tar.gz
> %endif

Could use just http://downloads.sourceforge.net/mingw-w64/mingw-w64-src_20120120.tar.bz2 and http://downloads.sourceforge.net/mingw-w64/mingw-w64-v2.0.1.tar.gz , no need to include all the directory names for sourceforge URLs.


> %description -n mingw32-headers
> MinGW Windows cross-compiler Win32 and Win64 header files.

This is only for Win32.


> %description -n mingw64-headers
> MinGW Windows cross-compiler Win32 and Win64 header files.

This is only for Win64.


> %mingw_configure "--enable-sdk=all" "--enable-secure-api"

I am not very fond of the quotes, but they are currently necessary because of the way the %mingw_configure macro is written, to avoid getopt(3) parsing. One way to avoid the quotes would be to use --:
%mingw_configure -- \
  --enable-sdk=all \
  --enable-secure-api

Or we could rewrite the %mingw_configure macro. I gave a stab at improving the macro to avoid getopt, how about this?

%mingw_set_suffix                           \
if [ $# -gt 1 ] && [ x"$1" = x"-s" ] ; then \
    BUILDDIR_SUFFIX=_"$2"                   \
    shift; shift                            \
fi

%mingw_configure                        \
run_mingw_configure()                   \
{                                       \
%{mingw_set_suffix}                     \
%{?mingw_build_win32:                   \
mkdir build_win32$BUILDDIR_SUFFIX       \
pushd build_win32$BUILDDIR_SUFFIX       \
    %{?mingw32_configure} $@            \
popd }                                  \
%{?mingw_build_win64:                   \
mkdir build_win64$BUILDDIR_SUFFIX       \
pushd build_win64$BUILDDIR_SUFFIX       \
    %{?mingw64_configure} $@            \
popd }                                  \
}                                       \
run_mingw_configure


> %mingw_make_install "DESTDIR=$RPM_BUILD_ROOT"

Ditto.
Comment 11 Erik van Pienbroek 2012-02-23 19:01:20 EST
Thank you for reviewing this package!

New Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-headers/mingw-headers.spec
New SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-headers-2.0.999-0.2.trunk.20120120.fc18_cross.src.rpm

* Fri Feb 24 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.3.trunk.20120120
- Use smaller SourceForge source URLs
- Dropped the mingw_pkg_name global
- Dropped the quotes in the mingw_configure and mingw_make_install calls
- Improved summary of the various packages

Your improved version of the mingw_configure macro has been imported in the mingw-filesystem package so the quotes in various RPM macro calls can now be dropped.

I don't have a strong opinion on any of those summaries. If you want to have a generic summary which is used by all mingw packages in Fedora then I guess it's better to discuss this on the fedora-mingw mailing list first.
Comment 12 Kalev Lember 2012-02-24 15:16:52 EST
The %doc section is missing two license files that are shipped in the tarball:

 - DISCLAIMER.PD (referenced from a number of copyright notices, e.g. mingw-w64-headers/crt/libgen.h)
 - mingw-w64-headers/direct-x/COPYING.LIB


Is there a good reason to use a svn development snapshot instead of the latest stable release (2.0.1)?

The tarball with the svn source snapshot (mingw-w64-src_20120120.tar.bz2) includes all of the gcc and binutils source code, making it 99 MB in total. It also has a somewhat different directory structure from the 2.0.1 release tarball, so the spec file has a lot of conditionals to deal with both cases. Overall, I'd say that the tarball is less than ideal for packaging purposes.

I would personally put the directory handling conditionals in %prep, so that other sections wouldn't need to have conditionals all over.

One way to handle the directory layout differences in %prep would be something like this:
%prep
%if 0%{?snapshot_date}
rm -rf mingw-w64-v%{version}
mkdir mingw-w64-v%{version}
cd mingw-w64-v%{version}
tar -xf %{S:0}
%setup -q -D -T -n mingw-w64-v%{version}/mingw
%else
%setup -q -n mingw-w64-v%{version}
%endif

Then current %build:
> %if 0%{?snapshot_date}
> pushd mingw/mingw-w64-headers
> %else
> pushd mingw-w64-v%{version}/mingw-w64-headers
> %endif
>     %mingw_configure --enable-sdk=all --enable-secure-api
> popd

... could be simplified to:
pushd mingw-w64-headers
    %mingw_configure --enable-sdk=all --enable-secure-api
popd


And current %install:
> %if 0%{?snapshot_date}
> pushd mingw/mingw-w64-headers
> %else
> pushd mingw-w64-v%{version}/mingw-w64-headers
> %endif
>     %mingw_make_install DESTDIR=$RPM_BUILD_ROOT 
> popd

... could be simplified to:
pushd mingw-w64-headers
    %mingw_make_install DESTDIR=$RPM_BUILD_ROOT
popd

And the this:
> # Make sure that the COPYING file can be found
> %if 0%{?snapshot_date}
> cp mingw/COPYING .
> %else
> cp mingw-w64-v%{version}/COPYING .
> %endif

... would not be needed at all.


Another way to deal with it would be switching to a manually generated svn snapshot that would only include the relevant code, and would have a similar directory structure to the 2.0.1 release tarball. This would also have the benefit of reducing the tarball size by about 95%.
Comment 13 Erik van Pienbroek 2012-02-25 15:03:41 EST
New Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-headers/mingw-headers.spec
New SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-headers-2.0.999-0.4.trunk.20120120.fc18_cross.src.rpm

* Fri Feb 24 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.4.trunk.20120224
- Update to 20120224 snapshot
- Made the win64 pieces optional for now (pending approval of the mingw-gcc/mingw-binutils package reviews)
- Eliminated some conditionals related to snapshot builds
- Added DISCLAIMER, DISCLAIMER.PD and COPYING.LIB files
- Added ZPLv2.1 to the license tag
- Added a conditional which is needed to prevent a file conflict with winpthreads
- Bumped BR: mingw{32,64}-filesystem to >= 70

The BR: mingw32-filesystem bump to >= 70 was done because this will be the first version to support the new RPM macros like mingw_package_header, mingw_configure and mingw_make.

The optional win64 conditional was introduced to make the introduction of mingw-w64 possible (for just the win32 target) while the new mingw-gcc and mingw-binutils packages are still pending review. Once these packages are approved this conditional can be removed.

I've decided to use the trunk release instead of v2.0.1 as the trunk version contains some interesting features like POSIX printf functions and LFS support. It has also been tested already in the testing repository for some time and all detected issues are already resolved upstream. All Fedora packages can now build fine against mingw-w64 trunk (well, except for mingw32-qpid-cpp, but that one FTBFS because of the new boost library). Nevertheless, the release management of the mingw-w64 project is an area which could be improved. For example there is no roadmap containing the list of expected features and expected release dates and there's no clear overview of the differences between all versions which makes it hard to make a balanced decision about which version should be used. From what I've heard upstream is thinking about releasing current trunk as v2.1 so I think we're good if we stay with trunk for now until upstream branches.

Yesterday I asked upstream about the automated snapshots. I was told that the viewvc instance at SourceForge has this nice feature which makes it possible to generate tarballs from SVN, for example http://mingw-w64.svn.sourceforge.net/viewvc/mingw-w64/trunk/?view=tar which automatically generates a tarball from the latest trunk. However, the downside is that the mingw-w64 SVN currently contains a link to an external SVN repository (ReactOS) for the DDK part. The SF viewvc instance doesn't support generating tarballs which include files from an external SVN repository. When an attempt is done to build mingw-headers using this tarball you'd end up with these kind of messages: configure: WARNING: svn checkout incomplete, ddk headers missing. Upstream is working on eliminating this external SVN repository link so this issue should be resolved soon hopefully. For the time being I think it's okay to use the source snapshot tarballs which can be found on the SF downloads page

Your suggestion about the improved %prep has been applied in this release
Comment 14 Kalev Lember 2012-02-25 15:45:46 EST
Fedora review of mingw-headers-2.0.999-0.4.trunk.20120224.fc18_cross.src.rpm 2012-02-25

+ OK
! needs attention

rpmlint output:

$ rpmlint mingw-headers-2.0.999-0.4.trunk.20120224.fc16.src.rpm \
          mingw32-headers-2.0.999-0.4.trunk.20120224.fc16.noarch.rpm \
          mingw64-headers-2.0.999-0.4.trunk.20120224.fc16.noarch.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license files (COPYING DISCLAIMER DISCLAIMER.PD COPYING.LIB)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  1223b8f402e1e6296c5b70d63b37d4b0  mingw-w64-src_20120224.tar.bz2
  1223b8f402e1e6296c5b70d63b37d4b0  Download/mingw-w64-src_20120224.tar.bz2
+ The package builds on primary architectures
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file must handle locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
  Not applicable to MinGW packages.
n/a Static libraries must be in -static
n/a Development files must be in a -devel package
  Not applicable to MinGW packages.
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8
+ Proper Obsoletes / Provides for replacing mingw32-w32api

A minor nit about the source package summary "Win32/Win64 header files and stubs" -- this package doesn't actually contain the stubs for linking with the MS provided dll files; the stubs are all in mingw-crt.

Also, the required mingw32-filesystem version is different in Requires and BuildRequires (65 vs 70), might want to use the same number to avoid confusion.

Otherwise looks good.

APPROVED
Comment 15 Erik van Pienbroek 2012-02-25 16:50:37 EST
Thank for very much for the review!
Your last-minute remarks have already been applied in my local copy

New Package SCM Request
=======================
Package Name: mingw-headers
Short Description: MinGW Windows cross-compiler header files
Owners: epienbro kalev rjones ktietz
Branches: 
InitialCC:
Comment 16 Erik van Pienbroek 2012-02-25 16:55:39 EST
Let's do F-17 too :)

New Package SCM Request
=======================
Package Name: mingw-headers
Short Description: MinGW Windows cross-compiler header files
Owners: epienbro kalev rjones ktietz
Branches: f17
InitialCC:
Comment 17 Jon Ciesla 2012-02-27 08:30:51 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2012-02-28 11:52:04 EST
mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17
Comment 19 Fedora Update System 2012-02-28 15:40:54 EST
Package mingw-antlr-2.7.7-8.fc17, mingw-crt-2.0.999-0.4.trunk.20120224.fc17, mingw-filesystem-95-2.fc17, mingw-ftplib-3.1-5.fc17, mingw-gdb-7.3-3.fc17, mingw-goocanvas2-2.0.1-3.fc17, mingw-gstreamer-0.10.35-4.fc17, mingw-gstreamer-plugins-base-0.10.35-3.fc17, mingw-gtk3-3.3.16-1.fc17, mingw-gtkmm30-3.2.0-4.fc17, mingw-gtksourceview3-3.2.0-4.fc17, mingw-headers-2.0.999-0.4.trunk.20120224.fc17, mingw-icu-4.8.1.1-4.fc17, mingw-libjpeg-turbo-1.1.1-7.fc17, mingw-libtasn1-2.9-4.fc17, mingw-libvorbis-1.3.2-4.fc17, mingw-p11-kit-0.10-2.fc17, mingw-pkg-config-0.26-4.fc17, mingw-win-iconv-0.0.3-6.fc17, mingw-wxWidgets-2.8.12-9.fc17, mingw32-SDL-1.2.13-12.fc17, mingw32-SDL_image-1.2.12-2.fc17, mingw32-SDL_mixer-1.2.11-5.fc17, mingw32-atk-2.2.0-3.fc17, mingw32-atkmm-2.22.6-1.fc17, mingw32-binutils-2.22.52-1.fc17, mingw32-boost-1.48.0-4.fc17, mingw32-bzip2-1.0.5-11.fc17, mingw32-cairo-1.10.2-9.fc17, mingw32-cairomm-1.10.0-4.fc17, mingw32-celt051-0.5.1.3-6.fc17, mingw32-cppunit-1.12.1-7.fc17, mingw32-crossreport-8-1.fc17, mingw32-curl-7.20.1-5.fc17, mingw32-cxxtest-3.10.1-7.fc17, mingw32-dbus-1.4.6-3.fc17, mingw32-dirac-1.0.2-6.fc17, mingw32-dlfcn-0-0.11.r11.fc17, mingw32-enchant-1.6.0-3.fc17, mingw32-expat-2.0.1-9.fc17, mingw32-fontconfig-2.8.0-4.fc17, mingw32-freeglut-2.6.0-0.4.rc1.fc17, mingw32-freetype-2.4.8-2.fc17, mingw32-gcc-4.7.0-0.5.20120224.fc17, mingw32-gdbm-1.8.0-8.fc17, mingw32-gdk-pixbuf-2.25.2-3.fc17, mingw32-gettext-0.18.1.1-5.fc17, mingw32-glib-networking-2.31.16-1.fc17, mingw32-glib2-2.31.18-1.fc17, mingw32-glibmm24-2.31.2-3.fc17, mingw32-gnutls-2.12.14-4.fc17, mingw32-gtk-vnc-0.5.0-5.fc17, mingw32-gtk2-2.24.10-2.fc17, mingw32-gtkhtml3-3.32.2-5.fc17, mingw32-gtkmm24-2.24.2-4.fc17, mingw32-hunspell-1.3.2-3.fc17, mingw32-jasper-1.900.1-15.fc17, mingw32-libffi-3.0.9-4.fc17, mingw32-libgcrypt-1.4.4-7.fc17, mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17, mingw32-libglade2-2.6.4-11.fc17, mingw32-libglademm24-2.6.7-14.fc17, mingw32-libgnurx-2.5.1-9.fc17, mingw32-libgpg-error-1.6-16.fc17, mingw32-libidn-1.14-11.fc17, mingw32-libltdl-2.4-5.fc17, mingw32-libogg-1.1.4-5.fc17, mingw32-liboil-0.3.16-5.fc17, mingw32-libp11-0.2.8-3.fc17, mingw32-libpng-1.5.7-2.fc17, mingw32-libsigc++20-2.2.10-4.fc17, mingw32-libsigsegv-2.6-4.fc17, mingw32-libsoup-2.37.90-1.fc17, mingw32-libsqlite3x-20071018-14.fc17, mingw32-libssh2-1.1-8.fc17, mingw32-libtiff-3.9.5-4.fc17, mingw32-libvirt-0.9.10-2.fc17, mingw32-libxml++-2.34.2-4.fc17, mingw32-libxml2-2.7.8-4.fc17, mingw32-libxslt-1.1.26-6.fc17, mingw32-libzip-0.9-5.fc17, mingw32-matahari-0.5.0-1.fc17.3, mingw32-nsis-2.46-6.fc17, mingw32-nsiswrapper-9-2.fc17, mingw32-openjpeg-1.3-8.fc17, mingw32-opensc-0.12.2-3.fc17, mingw32-openssl-1.0.0d-3.fc17, mingw32-pango-1.29.5-2.fc17, mingw32-pangomm-2.28.3-4.fc17, mingw32-pcre-8.10-6.fc17, mingw32-pdcurses-3.4-10.fc17, mingw32-pixman-0.24.4-1.fc17, mingw32-plotmm-0.1.2-12.fc17, mingw32-portablexdr-4.9.1-5.fc17, mingw32-proj-4.6.1-7.fc17, mingw32-pthreads-2.8.0-17.20110511cvs.fc17, mingw32-qpid-cpp-0.14-1.fc17, mingw32-qt-4.8.0-5.fc17, mingw32-qt-qmake-4.8.0-4.fc17, mingw32-qwt-5.2.1-5.fc17, mingw32-readline-5.2-10.fc17, mingw32-sigar-1.6.5-0.7.git58097d9.fc17, mingw32-spice-protocol-0.8.0-3.fc17, mingw32-sqlite-3.7.9-2.fc17, mingw32-srvany-1.0-7.fc17, mingw32-tcl-8.5.11-2.fc17, mingw32-termcap-1.3.1-11.fc17, mingw32-tk-8.5.9-4.fc17, mingw32-webkitgtk-1.7.5-5.fc17, mingw32-wpcap-4.1.final2-5.fc17, mingw32-xerces-c-3.1.1-3.fc17, mingw32-zfstream-20041202-11.fc17, mingw32-zlib-1.2.5-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-antlr-2.7.7-8.fc17 mingw-crt-2.0.999-0.4.trunk.20120224.fc17 mingw-filesystem-95-2.fc17 mingw-ftplib-3.1-5.fc17 mingw-gdb-7.3-3.fc17 mingw-goocanvas2-2.0.1-3.fc17 mingw-gstreamer-0.10.35-4.fc17 mingw-gstreamer-plugins-base-0.10.35-3.fc17 mingw-gtk3-3.3.16-1.fc17 mingw-gtkmm30-3.2.0-4.fc17 mingw-gtksourceview3-3.2.0-4.fc17 mingw-headers-2.0.999-0.4.trunk.20120224.fc17 mingw-icu-4.8.1.1-4.fc17 mingw-libjpeg-turbo-1.1.1-7.fc17 mingw-libtasn1-2.9-4.fc17 mingw-libvorbis-1.3.2-4.fc17 mingw-p11-kit-0.10-2.fc17 mingw-pkg-config-0.26-4.fc17 mingw-win-iconv-0.0.3-6.fc17 mingw-wxWidgets-2.8.12-9.fc17 mingw32-SDL-1.2.13-12.fc17 mingw32-SDL_image-1.2.12-2.fc17 mingw32-SDL_mixer-1.2.11-5.fc17 mingw32-atk-2.2.0-3.fc17 mingw32-atkmm-2.22.6-1.fc17 mingw32-binutils-2.22.52-1.fc17 mingw32-boost-1.48.0-4.fc17 mingw32-bzip2-1.0.5-11.fc17 mingw32-cairo-1.10.2-9.fc17 mingw32-cairomm-1.10.0-4.fc17 mingw32-celt051-0.5.1.3-6.fc17 mingw32-cppunit-1.12.1-7.fc17 mingw32-crossreport-8-1.fc17 mingw32-curl-7.20.1-5.fc17 mingw32-cxxtest-3.10.1-7.fc17 mingw32-dbus-1.4.6-3.fc17 mingw32-dirac-1.0.2-6.fc17 mingw32-dlfcn-0-0.11.r11.fc17 mingw32-enchant-1.6.0-3.fc17 mingw32-expat-2.0.1-9.fc17 mingw32-fontconfig-2.8.0-4.fc17 mingw32-freeglut-2.6.0-0.4.rc1.fc17 mingw32-freetype-2.4.8-2.fc17 mingw32-gcc-4.7.0-0.5.20120224.fc17 mingw32-gdbm-1.8.0-8.fc17 mingw32-gdk-pixbuf-2.25.2-3.fc17 mingw32-gettext-0.18.1.1-5.fc17 mingw32-glib-networking-2.31.16-1.fc17 mingw32-glib2-2.31.18-1.fc17 mingw32-glibmm24-2.31.2-3.fc17 mingw32-gnutls-2.12.14-4.fc17 mingw32-gtk-vnc-0.5.0-5.fc17 mingw32-gtk2-2.24.10-2.fc17 mingw32-gtkhtml3-3.32.2-5.fc17 mingw32-gtkmm24-2.24.2-4.fc17 mingw32-hunspell-1.3.2-3.fc17 mingw32-jasper-1.900.1-15.fc17 mingw32-libffi-3.0.9-4.fc17 mingw32-libgcrypt-1.4.4-7.fc17 mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17 mingw32-libglade2-2.6.4-11.fc17 mingw32-libglademm24-2.6.7-14.fc17 mingw32-libgnurx-2.5.1-9.fc17 mingw32-libgpg-error-1.6-16.fc17 mingw32-libidn-1.14-11.fc17 mingw32-libltdl-2.4-5.fc17 mingw32-libogg-1.1.4-5.fc17 mingw32-liboil-0.3.16-5.fc17 mingw32-libp11-0.2.8-3.fc17 mingw32-libpng-1.5.7-2.fc17 mingw32-libsigc++20-2.2.10-4.fc17 mingw32-libsigsegv-2.6-4.fc17 mingw32-libsoup-2.37.90-1.fc17 mingw32-libsqlite3x-20071018-14.fc17 mingw32-libssh2-1.1-8.fc17 mingw32-libtiff-3.9.5-4.fc17 mingw32-libvirt-0.9.10-2.fc17 mingw32-libxml++-2.34.2-4.fc17 mingw32-libxml2-2.7.8-4.fc17 mingw32-libxslt-1.1.26-6.fc17 mingw32-libzip-0.9-5.fc17 mingw32-matahari-0.5.0-1.fc17.3 mingw32-nsis-2.46-6.fc17 mingw32-nsiswrapper-9-2.fc17 mingw32-openjpeg-1.3-8.fc17 mingw32-opensc-0.12.2-3.fc17 mingw32-openssl-1.0.0d-3.fc17 mingw32-pango-1.29.5-2.fc17 mingw32-pangomm-2.28.3-4.fc17 mingw32-pcre-8.10-6.fc17 mingw32-pdcurses-3.4-10.fc17 mingw32-pixman-0.24.4-1.fc17 mingw32-plotmm-0.1.2-12.fc17 mingw32-portablexdr-4.9.1-5.fc17 mingw32-proj-4.6.1-7.fc17 mingw32-pthreads-2.8.0-17.20110511cvs.fc17 mingw32-qpid-cpp-0.14-1.fc17 mingw32-qt-4.8.0-5.fc17 mingw32-qt-qmake-4.8.0-4.fc17 mingw32-qwt-5.2.1-5.fc17 mingw32-readline-5.2-10.fc17 mingw32-sigar-1.6.5-0.7.git58097d9.fc17 mingw32-spice-protocol-0.8.0-3.fc17 mingw32-sqlite-3.7.9-2.fc17 mingw32-srvany-1.0-7.fc17 mingw32-tcl-8.5.11-2.fc17 mingw32-termcap-1.3.1-11.fc17 mingw32-tk-8.5.9-4.fc17 mingw32-webkitgtk-1.7.5-5.fc17 mingw32-wpcap-4.1.final2-5.fc17 mingw32-xerces-c-3.1.1-3.fc17 mingw32-zfstream-20041202-11.fc17 mingw32-zlib-1.2.5-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2619/mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-03-01 20:24:02 EST
mingw-antlr-2.7.7-8.fc17, mingw-crt-2.0.999-0.4.trunk.20120224.fc17, mingw-filesystem-95-2.fc17, mingw-ftplib-3.1-5.fc17, mingw-gdb-7.3-3.fc17, mingw-goocanvas2-2.0.1-3.fc17, mingw-gstreamer-0.10.35-4.fc17, mingw-gstreamer-plugins-base-0.10.35-3.fc17, mingw-gtk3-3.3.16-1.fc17, mingw-gtkmm30-3.2.0-4.fc17, mingw-gtksourceview3-3.2.0-4.fc17, mingw-headers-2.0.999-0.4.trunk.20120224.fc17, mingw-icu-4.8.1.1-4.fc17, mingw-libjpeg-turbo-1.1.1-7.fc17, mingw-libtasn1-2.9-4.fc17, mingw-libvorbis-1.3.2-4.fc17, mingw-p11-kit-0.10-2.fc17, mingw-pkg-config-0.26-4.fc17, mingw-win-iconv-0.0.3-6.fc17, mingw-wxWidgets-2.8.12-9.fc17, mingw32-SDL-1.2.13-12.fc17, mingw32-SDL_image-1.2.12-2.fc17, mingw32-SDL_mixer-1.2.11-5.fc17, mingw32-atk-2.2.0-3.fc17, mingw32-atkmm-2.22.6-1.fc17, mingw32-binutils-2.22.52-1.fc17, mingw32-boost-1.48.0-4.fc17, mingw32-bzip2-1.0.5-11.fc17, mingw32-cairo-1.10.2-9.fc17, mingw32-cairomm-1.10.0-4.fc17, mingw32-celt051-0.5.1.3-6.fc17, mingw32-cppunit-1.12.1-7.fc17, mingw32-crossreport-8-1.fc17, mingw32-curl-7.20.1-5.fc17, mingw32-cxxtest-3.10.1-7.fc17, mingw32-dbus-1.4.6-3.fc17, mingw32-dirac-1.0.2-6.fc17, mingw32-dlfcn-0-0.11.r11.fc17, mingw32-enchant-1.6.0-3.fc17, mingw32-expat-2.0.1-9.fc17, mingw32-fontconfig-2.8.0-4.fc17, mingw32-freeglut-2.6.0-0.4.rc1.fc17, mingw32-freetype-2.4.8-2.fc17, mingw32-gcc-4.7.0-0.5.20120224.fc17, mingw32-gdbm-1.8.0-8.fc17, mingw32-gdk-pixbuf-2.25.2-3.fc17, mingw32-gettext-0.18.1.1-5.fc17, mingw32-glib-networking-2.31.16-1.fc17, mingw32-glib2-2.31.18-1.fc17, mingw32-glibmm24-2.31.2-3.fc17, mingw32-gnutls-2.12.14-4.fc17, mingw32-gtk-vnc-0.5.0-5.fc17, mingw32-gtk2-2.24.10-2.fc17, mingw32-gtkhtml3-3.32.2-5.fc17, mingw32-gtkmm24-2.24.2-4.fc17, mingw32-hunspell-1.3.2-3.fc17, mingw32-jasper-1.900.1-15.fc17, mingw32-libffi-3.0.9-4.fc17, mingw32-libgcrypt-1.4.4-7.fc17, mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17, mingw32-libglade2-2.6.4-11.fc17, mingw32-libglademm24-2.6.7-14.fc17, mingw32-libgnurx-2.5.1-9.fc17, mingw32-libgpg-error-1.6-16.fc17, mingw32-libidn-1.14-11.fc17, mingw32-libltdl-2.4-5.fc17, mingw32-libogg-1.1.4-5.fc17, mingw32-liboil-0.3.16-5.fc17, mingw32-libp11-0.2.8-3.fc17, mingw32-libpng-1.5.7-2.fc17, mingw32-libsigc++20-2.2.10-4.fc17, mingw32-libsigsegv-2.6-4.fc17, mingw32-libsoup-2.37.90-1.fc17, mingw32-libsqlite3x-20071018-14.fc17, mingw32-libssh2-1.1-8.fc17, mingw32-libtiff-3.9.5-4.fc17, mingw32-libvirt-0.9.10-2.fc17, mingw32-libxml++-2.34.2-4.fc17, mingw32-libxml2-2.7.8-4.fc17, mingw32-libxslt-1.1.26-6.fc17, mingw32-libzip-0.9-5.fc17, mingw32-matahari-0.5.0-1.fc17.3, mingw32-nsis-2.46-6.fc17, mingw32-nsiswrapper-9-2.fc17, mingw32-openjpeg-1.3-8.fc17, mingw32-opensc-0.12.2-3.fc17, mingw32-openssl-1.0.0d-3.fc17, mingw32-pango-1.29.5-2.fc17, mingw32-pangomm-2.28.3-4.fc17, mingw32-pcre-8.10-6.fc17, mingw32-pdcurses-3.4-10.fc17, mingw32-pixman-0.24.4-1.fc17, mingw32-plotmm-0.1.2-12.fc17, mingw32-portablexdr-4.9.1-5.fc17, mingw32-proj-4.6.1-7.fc17, mingw32-pthreads-2.8.0-17.20110511cvs.fc17, mingw32-qpid-cpp-0.14-1.fc17, mingw32-qt-4.8.0-5.fc17, mingw32-qt-qmake-4.8.0-4.fc17, mingw32-qwt-5.2.1-5.fc17, mingw32-readline-5.2-10.fc17, mingw32-sigar-1.6.5-0.7.git58097d9.fc17, mingw32-spice-protocol-0.8.0-3.fc17, mingw32-sqlite-3.7.9-2.fc17, mingw32-srvany-1.0-7.fc17, mingw32-tcl-8.5.11-2.fc17, mingw32-termcap-1.3.1-11.fc17, mingw32-tk-8.5.9-4.fc17, mingw32-webkitgtk-1.7.5-5.fc17, mingw32-wpcap-4.1.final2-5.fc17, mingw32-xerces-c-3.1.1-3.fc17, mingw32-zfstream-20041202-11.fc17, mingw32-zlib-1.2.5-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Erik van Pienbroek 2014-12-23 13:58:54 EST
Package Change Request
======================
Package Name: mingw-headers
New Branches: el6
Owners: epienbro
InitialCC:
Comment 22 Jon Ciesla 2014-12-23 15:04:38 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.